com.fasterxml.jackson.databind.exc

## Class PropertyBindingException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - com.fasterxml.jackson.core.JsonProcessingException
        - - com.fasterxml.jackson.databind.JsonMappingException
          - - com.fasterxml.jackson.databind.exc.PropertyBindingException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    IgnoredPropertyException, UnrecognizedPropertyException

      public abstract class PropertyBindingException
      extends JsonMappingException

  Base class for `JsonMappingException`s that are specifically related to problems related to binding an individual property.
  Since:
    2.3
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonMappingException

      `JsonMappingException.Reference`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `_propertiesAsString` Lazily constructed description of known properties, used for constructing actual message if and as needed.
    `protected Collection<Object>` | `_propertyIds` Set of ids of properties that are known for the type, if this can be statically determined.
    `protected String` | `_propertyName` Note: redundant information since it is also included in the reference path.
    `protected Class<?>` | `_referringClass` Class that does not contain mapping for the unrecognized property.

    - ### Fields inherited from class com.fasterxml.jackson.databind.JsonMappingException

      `_path, _processor`

    - ### Fields inherited from class com.fasterxml.jackson.core.JsonProcessingException

      `_location`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `PropertyBindingException(JsonParser p, String msg, JsonLocation loc, Class<?> referringClass, String propName, Collection<Object> propertyIds)`
    `protected` | `PropertyBindingException(String msg, JsonLocation loc, Class<?> referringClass, String propName, Collection<Object> propertyIds)` Deprecated. Since 2.7

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Collection<Object>` | `getKnownPropertyIds()`
    `String` | `getMessageSuffix()`
    `String` | `getPropertyName()` Convenience method for accessing logical property name that could not be mapped.
    `Class<?>` | `getReferringClass()` Method for accessing type (class) that is missing definition to allow binding of the unrecognized property.

    - ### Methods inherited from class com.fasterxml.jackson.databind.JsonMappingException

      `_appendPathDesc, _buildMessage, from, from, from, from, from, from, from, from, fromUnexpectedIOE, getLocalizedMessage, getMessage, getPath, getPathReference, getPathReference, prependPath, prependPath, prependPath, toString, wrapWithPath, wrapWithPath, wrapWithPath`

    - ### Methods inherited from class com.fasterxml.jackson.core.JsonProcessingException

      `getLocation, getOriginalMessage, getProcessor`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### _referringClass

          protected final Class<?> _referringClass

      Class that does not contain mapping for the unrecognized property.

    - #### _propertyName

          protected final String _propertyName

      Note: redundant information since it is also included in the reference path.

    - #### _propertyIds

          protected final Collection<Object> _propertyIds

      Set of ids of properties that are known for the type, if this can be statically determined.

    - #### _propertiesAsString

          protected transient String _propertiesAsString

      Lazily constructed description of known properties, used for constructing actual message if and as needed.

  - ### Constructor Detail

    - #### PropertyBindingException

          protected PropertyBindingException(JsonParser p,
                                  String msg,
                                  JsonLocation loc,
                                  Class<?> referringClass,
                                  String propName,
                                  Collection<Object> propertyIds)

      Since:
        2.7

    - #### PropertyBindingException

          @Deprecated
          protected PropertyBindingException(String msg,
                                             JsonLocation loc,
                                             Class<?> referringClass,
                                             String propName,
                                             Collection<Object> propertyIds)

      Deprecated. Since 2.7

  - ### Method Detail

    - #### getMessageSuffix

          public String getMessageSuffix()

      Overrides:
        `getMessageSuffix` in class `JsonProcessingException`

    - #### getReferringClass

          public Class<?> getReferringClass()

      Method for accessing type (class) that is missing definition to allow binding of the unrecognized property.

    - #### getPropertyName

          public String getPropertyName()

      Convenience method for accessing logical property name that could not be mapped. Note that it is the last path reference in the underlying path.

    - #### getKnownPropertyIds

          public Collection<Object> getKnownPropertyIds()

Copyright © 2008–2016 FasterXML. All rights reserved.